DNS Zones

Create Dns Record

post/dns/zones/{zone_uuid}/records

Create a new DNS record.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

zone_uuid*string

Request body

Create a new DNS record

application/jsonRequired
name*string

Record name (@ for apex, or subdomain)

Rangelength ≤ 255
record_type*DNSRecordType
Value in"A""AAAA""CNAME""MX""TXT""SRV""CAA""NS""SOA""PTR""ALIAS""SSHFP""TLSA"
content*string

Record content

ttl?integer

Time to live in seconds

Range60 ≤ value ≤ 86400Default60
priority?integer | null

Priority for MX/SRV

Range0 ≤ value ≤ 65535
weight?integer | null

Weight for SRV

Range0 ≤ value ≤ 65535
port?integer | null

Port for SRV

Range1 ≤ value ≤ 65535
comment?string | null

Optional comment

Rangelength ≤ 255
region?string | null

GeoDNS region (e.g. us-east); 'global'/empty = served everywhere (Pro/Business)

Responses

Successful Response

application/json

uuid*string
name*string
record_type*DNSRecordType
Value in"A""AAAA""CNAME""MX""TXT""SRV""CAA""NS""SOA""PTR""ALIAS""SSHFP""TLSA"
content*string
ttl*integer
priority?integer | null
weight?integer | null
port?integer | null
comment?string | null
region?string | null
created_at*string
Formatdate-time
updated_at*string
Formatdate-time